
IF OBJECT_ID('dbo.fnGetDokumentumTanuloAktualisOsztalyfonok') IS NOT NULL BEGIN
  DROP FUNCTION dbo.fnGetDokumentumTanuloAktualisOsztalyfonok
END
GO

CREATE FUNCTION dbo.fnGetDokumentumTanuloAktualisOsztalyfonok (@tanuloId INT)
  RETURNS NVARCHAR(MAX)
BEGIN  
  DECLARE @value NVARCHAR(MAX)
  
  SELECT TOP 1  
    @value = f.C_NYOMTATASINEV
  FROM T_TANULOCSOPORT_OSSZES tcs
    INNER JOIN T_OSZTALY_OSSZES o ON tcs.C_OSZTALYCSOPORTID = o.ID
    INNER JOIN T_FELHASZNALO_OSSZES f ON o.C_OSZTALYFONOKID = f.ID
  WHERE 
    C_TANULOID = @tanuloId
    AND tcs.TOROLT = 'F'
  ORDER BY C_KILEPESDATUM 
  
  RETURN @value  
END;
GO

