﻿IF OBJECT_ID('fnGetTanoraiCeluCsoportTipusok') IS NOT NULL BEGIN
  DROP FUNCTION [fnGetTanoraiCeluCsoportTipusok]
END
GO

CREATE FUNCTION [fnGetTanoraiCeluCsoportTipusok] (
  @tanevId    INT
) RETURNS TABLE 
RETURN (
  SELECT 
    csoportTipus.ID
  FROM
    T_CSOPORTTIPUS_OSSZES csoportTipus
    INNER JOIN
      T_DICTIONARYITEMBASE_OSSZES dictionaryItemBase ON csoportTipus.ID = dictionaryItemBase.ID 
      AND csoportTipus.C_ALTANEVID = dictionaryItemBase.C_TANEVID
  WHERE 
    csoportTipus.C_ISTANORAICELU = 'T'
    AND dictionaryItemBase.C_VISIBLE = 'T'
    AND dictionaryItemBase.TOROLT = 'F'
    AND dictionaryItemBase.C_TANEVID = @tanevId
)
GO