﻿-- Az előző óra adati tantárgy, osztálycsoport és tanár alapján
-- SZEKERES ANDRÁS (based on Telek Ákos fn_GetOraEvesSorszamLista)
-- 2017.05.08.

-- Modifed by: Zalán Máriusz
-- Date: 2018 10 03

-- Osztálycsoport - tantárgy összerendelés implementálása
-- 2019.01.27
-- Zalán Máriusz
DROP PROCEDURE IF EXISTS sp_GetElozoOraAdatai
GO

CREATE PROCEDURE sp_GetElozoOraAdatai
   @tantargyId int
  ,@osztalycsoportId int
  ,@tanarId int
  ,@oraKezdeteDatum datetime
  ,@intezmenyId int
  ,@tanevId int
AS 
BEGIN

  SET NOCOUNT ON;
  SELECT TOP 1
     tao.ID as Id
    ,tao.C_TEMA as Tema
    ,tao.C_DATUM as Datum
    ,fh.C_NYOMTATASINEV as HelyettesNev
    ,Lista.EvesSorszam
  FROM fnGetEvesOraszamLista(@tantargyId, @osztalycsoportId, @tanarId, @oraKezdeteDatum, @intezmenyId, @tanevId) Lista
    INNER JOIN T_TANITASIORA_OSSZES tao ON tao.ID = lista.ID
    LEFT JOIN T_FELHASZNALO_OSSZES fh ON fh.ID = tao.C_HELYETTESITOTANARID AND fh.TOROLT = 'F'
  ORDER BY tao.C_ORAKEZDETE DESC, tao.C_ORAEVESSORSZAMA DESC

  END
GO
