DROP PROCEDURE IF EXISTS [dbo].[sp_GetNapkozisCsoportTanuloinakHaviMulasztasiOsszesitoje]
GO

CREATE PROCEDURE [dbo].[sp_GetNapkozisCsoportTanuloinakHaviMulasztasiOsszesitoje] 
   @tanevID int
  ,@intezmenyId int
  ,@honapAdatszotarTypeId int = 55
  ,@alapkepzesId int = 7553
AS 
BEGIN
SET NOCOUNT ON;

declare @honapok table(honap int, honapnev nvarchar(max));
insert into @honapok
select distinct d.c_value as Honap, d.c_name as Honap from t_dictionaryitembase d where d.C_DICTIONARYTYPEID = @honapAdatszotarTypeId order by d.c_value

declare @napkoziscsoportok table(csoport  int, csoportNev nvarchar(max));
insert into @napkoziscsoportok
select distinct tcs.c_osztalycsoportid as Csoport, ocs.c_nev from t_csoport cs
    inner join t_osztalycsoport ocs on ocs.id=cs.id AND ocs.C_FELADATKATEGORIAID = @alapkepzesId
    inner join t_tanulocsoport tcs on tcs.c_osztalycsoportid=ocs.id
  where cs.c_tipusa=1035 and cs.c_altanevid=@tanevid and cs.c_alintezmenyid=@intezmenyid and cs.torolt='F' 

--
DECLARE kurzorHonap CURSOR FOR 
select Honap from @honapok
DECLARE @Honap int

DECLARE kurzorCsoport CURSOR FOR 
select csoport from @napkoziscsoportok 
DECLARE @Csoport int

OPEN kurzorHonap
FETCH NEXT FROM kurzorHonap INTO @Honap
WHILE @@FETCH_STATUS = 0 BEGIN
    OPEN kurzorCsoport
    FETCH NEXT FROM kurzorCsoport INTO @Csoport
    WHILE @@FETCH_STATUS = 0 BEGIN
      create table #tabla(COLUMN108 nvarchar(max), [1] int,[2] int,[3] int,[4] int,[5] int,[6] int,[7] int,[8] int,[9] int,[10] int,[11] int,[12] int,[13] int,[14] int,[15] int,[16] int,[17] int,[18] int,[19] int,[20] int,[21] int,[22] int,[23] int,[24] int,[25] int,[26]  int,[27] int,[28] int,[29] int,[30] int,[31] int, COLUMN2672 int, COLUMN1910 int, COLUMN5197 int, COLUMN1786 int, COLUMN1787 int, COLUMN1788 int, COLUMN1789 int, COLUMN1911 int)
      insert into #tabla
      EXEC [dbo].[sp_GetNapkozisCsoportTanuloinakHaviMulasztasiOsszesitoje_1] @tanevID, @intezmenyId, @Csoport, @honap
      SELECT * from #tabla
      drop table #tabla
      FETCH NEXT FROM kurzorCsoport INTO @Csoport  
    END
FETCH NEXT FROM kurzorHonap INTO @Honap  
CLOSE kurzorCsoport
END
CLOSE kurzorHonap
DEALLOCATE kurzorCsoport
DEALLOCATE kurzorHonap
--
select honapnev from @honapok
select csoportnev from @napkoziscsoportok
END

GO

