﻿DROP PROCEDURE IF EXISTS [dbo].[sp_GetNatKerdoivDataSetByAlkalmazott]
GO

-- =============================================
-- Description:  <Előszedjük az NAT kérdőív adatokat az alkalmazott alapján>
-- =============================================
CREATE PROCEDURE [dbo].[sp_GetNatKerdoivDataSetByAlkalmazott]
   @pIntezmenyId      INT
  ,@pTanevId        INT
  ,@pAlkalmazottId    INT

AS
BEGIN

  SET NOCOUNT ON;

  SELECT
     ID        ID
    ,C_KERDES01    Kerdes01
    ,C_KERDES02    Kerdes02
    ,C_KERDES03    Kerdes03
    ,C_KERDES04    Kerdes04
    ,C_KERDES05    Kerdes05
    ,C_KERDES06    Kerdes06
    ,C_KERDES07    Kerdes07
    ,C_KERDES08    Kerdes08
    ,C_KERDES09    Kerdes09
    ,C_KERDES10    Kerdes10
    ,C_KERDES11    Kerdes11
    ,C_KERDES12    Kerdes12
  FROM 
    T_NATKERDOIV_OSSZES  
  WHERE 
      C_INTEZMENYID = @pIntezmenyId
    AND C_TANEVID = @pTanevId
    AND TOROLT = 'F'
    AND C_ALKALMAZOTTID = @pAlkalmazottId

END

GO

