DROP PROCEDURE IF EXISTS uspBeszerzesiIgenyMegjegyzesList
GO

CREATE PROCEDURE uspBeszerzesiIgenyMegjegyzesList
     @pTanevId INT
    ,@pIgenylesId INT
AS
BEGIN
  SET NOCOUNT ON;

  SELECT bim.ID AS ID
    ,bim.C_MEGJEGYZES AS MegjegyzesSzoveg
    ,bim.C_ROGZITESDATUM AS MegjegyzesIdopontja
    ,f.C_NYOMTATASINEV AS MegjegyzesRogzitoNeve
  FROM T_BESZERZESIIGENYMEGJEGYZES_OSSZES bim
  INNER JOIN T_FELHASZNALO_OSSZES f ON f.ID = bim.C_ROGZITOID
    AND f.TOROLT = 'F'
  WHERE bim.C_BESZERZESIIGENYID = @pIgenylesId
    AND bim.TOROLT = 'F'
    AND bim.C_TANEVID = @pTanevId
END
GO


