DROP PROCEDURE  IF EXISTS uspGetAdatszotarByTipusEugyintezes 
GO

CREATE PROCEDURE uspGetAdatszotarByTipusEugyintezes
   @pDictionaryId INT
  ,@pDictionaryTypeId INT
  ,@pTanevId INT
AS
BEGIN
  SET NOCOUNT ON;

  SELECT DictionaryItemBase.ID AS KretaAzonosito
    ,DictionaryItemBase.C_NAME AS Nev
  FROM T_DICTIONARYITEMBASE_OSSZES DictionaryItemBase
  WHERE DictionaryItemBase.TOROLT = 'F'
    AND DictionaryItemBase.ID = @pDictionaryId
    AND DictionaryItemBase.C_DICTIONARYTYPEID = @pDictionaryTypeId
    AND DictionaryItemBase.C_TANEVID = @pTanevId
END
GO


