DROP PROCEDURE IF EXISTS uspGetAlkalmazottEszkozei
GO
  CREATE PROCEDURE uspGetAlkalmazottEszkozei
     @pUserId INT
    ,@pTanevId INT
    ,@pIntezmenyId INT
  AS
  BEGIN
    SET NOCOUNT ON;

    SELECT e.ID
      ,e.C_NEV AS Nev
      ,e.C_DARABSZAM AS Darab
      ,e.C_TIPUS AS Tipus
    FROM T_ESZKOZ_OSSZES e
    WHERE e.TOROLT = 'F'
      AND e.C_TANEVID = @pTanevId
      AND e.C_FELELOSID = @pUserId
      AND e.C_INTEZMENYID = @pIntezmenyId
  END
GO


