DROP PROCEDURE  IF EXISTS uspGetErettsegiMaxPontszamList 
GO

CREATE PROCEDURE uspGetErettsegiMaxPontszamList
   @pIntezmenyId INT
  ,@pTanevId INT
AS
BEGIN
  SET NOCOUNT ON;

  SELECT MAX(ErettsegiTantargyAdatok.C_IRASBELIMAXPONTSZAM) IrasbeliMaxPontszam
    ,MAX(ErettsegiTantargyAdatok.C_SZOBELIMAXPONTSZAM) SzobeliMaxPontszam
    ,MAX(ErettsegiTantargyAdatok.C_GYAKORLATMAXPONTSZAM) GyakorlatiMaxPontszam
  FROM T_ERETTSEGITANTARGYADATOK_OSSZES ErettsegiTantargyAdatok
  WHERE ErettsegiTantargyAdatok.TOROLT = 'F'
    AND ErettsegiTantargyAdatok.C_INTEZMENYID = @pIntezmenyId
    AND ErettsegiTantargyAdatok.C_TANEVID = @pTanevId
END
GO


