DROP PROCEDURE  IF EXISTS uspGetErettsegiTantargyakForValidate 
GO

CREATE PROCEDURE uspGetErettsegiTantargyakForValidate
   @pIntezmenyId INT
  ,@pTanevId INT
AS
BEGIN
  SET NOCOUNT ON;

  SELECT ErettsegiTantargyAdatok.C_ERETTSEGITANTARGY ID
    ,ErettsegiTantargyAdatok.C_ISSZOBELI IsSzobeli
    ,ErettsegiTantargyAdatok.C_ISIRASBELI IsIrasbeli
    ,ErettsegiTantargyAdatok.C_ISGYAKORLAT IsGyakorlati
    ,ErettsegiTantargyAdatok.C_ERETTSEGISZINT ErettsegiSzint
    ,ErettsegiTantargyAdatok.C_IRASBELIMAXPONTSZAM IrasbeliMaxPontszam
    ,ErettsegiTantargyAdatok.C_SZOBELIMAXPONTSZAM SzobeliMaxpontszam
    ,ErettsegiTantargyAdatok.C_GYAKORLATMAXPONTSZAM GyakorlatiMaxpontszam
    ,ErettsegiTantargyAdatok.C_OSSZMAXPONTSZAM OsszMaxpontszam
  FROM T_ERETTSEGITANTARGYADATOK_OSSZES ErettsegiTantargyAdatok
  WHERE ErettsegiTantargyAdatok.TOROLT = 'F'
    AND ErettsegiTantargyAdatok.C_INTEZMENYID = @pIntezmenyId
    AND ErettsegiTantargyAdatok.C_TANEVID = @pTanevId
END
GO


