DROP PROCEDURE IF EXISTS [dbo].[uspGetIsOsztalyCsoportNemTanoraiCeluCsoport]
GO

CREATE PROCEDURE [dbo].[uspGetIsOsztalyCsoportNemTanoraiCeluCsoport]
  @pOsztalyCsoportId INT
AS
BEGIN

  SET NOCOUNT ON;

    IF EXISTS  (SELECT 1
        FROM T_CSOPORT csoport
      INNER JOIN 
        T_CSOPORTTIPUS csoportTipus ON csoportTipus.ID = csoport.C_TIPUSA
        INNER JOIN
          T_DICTIONARYITEMBASE dictionaryItemBase ON csoportTipus.ID = dictionaryItemBase.ID 
          AND csoportTipus.C_ALTANEVID = dictionaryItemBase.C_TANEVID
      WHERE 
        csoportTipus.C_ISTANORAICELU = 'F'
        AND dictionaryItemBase.C_VISIBLE = 'T'
        AND dictionaryItemBase.TOROLT = 'F'
        AND csoport.ID = @pOsztalyCsoportId
      )
        SELECT 1
    ELSE
        SELECT 0

END

GO

