DROP PROCEDURE IF EXISTS uspGetIskolaor
GO
  CREATE PROCEDURE uspGetIskolaor
   @pMunkakorTipusId INT
  ,@pTanevId INT
  AS
  BEGIN
    SET NOCOUNT ON;

    SELECT f.ID
      ,f.C_IDPEGYEDIAZONOSITO IdpEgyediAzonosito
      ,f.C_NYOMTATASINEV Nev
      ,e.C_EMAILCIM EmailCim
      ,t.C_TELEFONSZAM Telefonszam
      ,mh.C_NEV MukodesiHelyNev
      ,fh.C_OKTATASINEVELESIFELADATTIPUS AS OktatasiNevelesiFeladatTipusId
      ,fh.ID FeladatEllatasiHelyId
    FROM T_MUNKAUGYIADATOK_OSSZES m
    INNER JOIN T_FELHASZNALO_OSSZES f ON f.ID = m.C_ALKALMAZOTTID  AND f.TOROLT = 'F'
    INNER JOIN T_EMAIL_OSSZES e ON e.C_FELHASZNALOID = f.ID AND e.TOROLT = 'F'
      AND e.C_ALAPERTELMEZETT = 'T'
    INNER JOIN T_TELEFON_OSSZES t ON t.C_FELHASZNALOID = f.ID  AND t.TOROLT = 'F'
      AND t.C_ALAPERTELMEZETT = 'T'
    INNER JOIN T_FELADATELLATASIHELY_OSSZES fh ON fh.ID = m.C_FELADATELLATASIHELYID  AND fh.TOROLT = 'F'
    INNER JOIN T_MUKODESIHELY_OSSZES mh ON mh.C_INTEZMENYID = fh.C_INTEZMENYID
      AND mh.ID = fh.C_MUKODESIHELYID
      AND mh.TOROLT = 'F'
    WHERE m.C_MUNKAKORTIPUSA = @pMunkakorTipusId
      AND m.C_TANEVID = @pTanevId
  END
GO


