﻿-- =============================================
-- Description:  <Előszedjük a súly id-ját az értékelés mód alapján>
-- =============================================
DROP PROCEDURE IF EXISTS [dbo].[uspGetSulyIdByErtekelesMod]
GO

CREATE PROCEDURE [dbo].[uspGetSulyIdByErtekelesMod]
   @pTanevId INT
  ,@pErtekelesModId INT
AS
BEGIN

  SET NOCOUNT ON;

  SELECT TOP 1
    tas.ID
  FROM
    -- TODO ERTEKELES REFAKT2 ERTEKELESMOD: Ha töröljük a T_TANARIATLAGSULY táblát, akkor törölni kell ezt a tárolt eljárást is!
    -- https://jira.ekreta.hu/browse/KRETA2-12367
    T_TANARIATLAGSULY_OSSZES tas
  WHERE tas.C_TANEVID = @pTanevId
    AND tas.TOROLT = 'F'
    AND tas.C_ERTEKELESMODID = @pErtekelesModId

END

GO

