DROP PROCEDURE  IF EXISTS uspGetTanevEugyintezes 
GO

CREATE PROCEDURE uspGetTanevEugyintezes
   @pTanevKretaAzonosito INT
AS
BEGIN
  SET NOCOUNT ON;

  SELECT ID AS KretaAzonosito
    ,C_AKTIV AS Aktiv
    ,C_KOVETKEZO AS Kovetkezo
    ,C_NEV AS Nev
    ,C_ELSOTANITASINAP AS Kezdete
    ,C_UTOLSOTANITASINAP AS Vege
  FROM T_TANEV_OSSZES Tanev
  WHERE Tanev.TOROLT = 'F'
    AND ID = @pTanevKretaAzonosito
END
GO


