DROP PROCEDURE IF EXISTS uspValidateTantargyfelosztasVisszamenolegesModositas
GO

CREATE PROCEDURE uspValidateTantargyfelosztasVisszamenolegesModositas
   @pEredetiTanarId int
  ,@pModosultTanarId int
  ,@pEredetiTantargyId int
  ,@pModosultTantargyId int
  ,@pEredetiOsztalyCsoportId int
  ,@pModosultOsztalyCsoportId int
AS
BEGIN

  SELECT DISTINCT t1.C_DATUM AS Datum
  FROM T_TANITASIORA t1
  INNER JOIN T_TANITASIORA t2 on t1.C_DATUM = t2.C_DATUM and t1.C_ORASZAM = t2.C_ORASZAM
  WHERE t1.C_TANTARGYID = @pModosultTantargyId
    AND t1.C_OSZTALYCSOPORTID = @pModosultOsztalyCsoportId
    AND t1.C_TANARID = @pModosultTanarId
    AND t2.C_TANTARGYID = @pEredetiTantargyId
    AND t2.C_OSZTALYCSOPORTID = @pEredetiOsztalyCsoportId
    AND t2.C_TANARID = @pEredetiTanarId
  
END
GO