﻿DROP FUNCTION IF EXISTS fnGetTanuloEpjElutasitasOka
GO
CREATE FUNCTION fnGetTanuloEpjElutasitasOka (
   @pJogviszonyTipus int
  ,@pIsMasodikSzakma char(1)
  ,@pErdemjegy float
  ,@pMinErdemjegy float
  ,@pKifizetesDatuma datetime
  ,@pEpjId int
)
RETURNS int
BEGIN
  DECLARE @retval int = 0
  IF @pJogviszonyTipus <> 7860
    SET @retval += 1
  IF @pIsMasodikSzakma = 'T'
    SET @retval += 2
  IF @pErdemjegy < @pMinErdemjegy
    SET @retval += 4
  IF @pKifizetesDatuma IS NOT NULL
    SET @retval += 8
  IF @pEpjId IS NULL
    SET @retval += 16
  return @retval
END
GO