DROP PROCEDURE IF EXISTS dbo.sp_CsoportKisorolasok
GO

CREATE PROCEDURE dbo.sp_CsoportKisorolasok
   @pintezmenyId INT
  ,@paktTanevId INT
  ,@pfelhasznaloId INT
AS
BEGIN
  SET NOCOUNT ON;

  DECLARE @date datetime = (
  SELECT DATEADD(DAY, 1, C_DATUM)
  FROM T_TANEVRENDJE_OSSZES
  WHERE C_NAPTIPUSA = 1395
    AND TOROLT = 'F'
    AND C_INTEZMENYID = @pintezmenyId
    AND C_TANEVID = @paktTanevId);

  UPDATE T_TANULOCSOPORT_OSSZES 
  SET C_KILEPESDATUM = @date,
    MODIFIER = @pfelhasznaloId
  WHERE C_KILEPESDATUM IS NULL
    AND TOROLT = 'F'
    AND C_INTEZMENYID = @pintezmenyId
    AND C_TANEVID = @paktTanevId;

END
GO
