﻿DROP PROCEDURE IF EXISTS [dbo].[sp_GetNebuloListByIdList]
GO

CREATE PROCEDURE [dbo].[sp_GetNebuloListByIdList]
  @pNebuloIdList AS XML 
AS
BEGIN

  SET NOCOUNT ON;  

  DECLARE @tempNebuloIdList TABLE (nebuloId INT)

  INSERT INTO @tempNebuloIdList
  SELECT DISTINCT nebuloId = nebuloId.value('(.)[1]', 'INT')
  FROM @pNebuloIdList.nodes('nebuloIdList/nebuloId') as nebuloIdList(nebuloId)
  
  SELECT *     
    FROM
        T_NEBULO
    WHERE
      TOROLT = 'F'
    AND ID IN (SELECT nebuloId FROM @tempNebuloIdList)

END
GO
