DROP PROCEDURE IF EXISTS uspGetAllIntezmenyiAdmin
GO

CREATE PROCEDURE uspGetAllIntezmenyiAdmin
  @pTanevId INT
AS
BEGIN

  SET NOCOUNT ON;

   SELECT
     fh.ID
    ,fh.C_NYOMTATASINEV
  FROM T_FELHASZNALO_OSSZES AS fh
    INNER JOIN T_FELHASZNALO_SZEREPKOR AS fhsz ON fhsz.C_FELHASZNALOID = fh.ID
    INNER JOIN T_SZEREPKOR_OSSZES AS sz ON sz.ID = fhsz.C_SZEREPKORID
      AND sz.C_SZEREPKORTIPUS = 1758 /* Adminisztrtor, DictionaryItemBase */
      AND sz.C_TANEVID = fh.C_TANEVID
      AND sz.TOROLT = 'F'
  WHERE fh.TOROLT = 'F'
    AND fh.C_TANEVID = @pTanevId
    AND fh.C_NYOMTATASINEV <> 'KRETA_TECHNICAL_FORI'
  ORDER BY C_NYOMTATASINEV ASC

END

GO

