
DROP PROCEDURE IF EXISTS uspGetCsengetesiOrakKezdVeg 
GO
	CREATE PROCEDURE uspGetCsengetesiOrakKezdVeg
  	 @pIntezmenyId INT
		,@pTanevId INT
	AS
	BEGIN
		SET NOCOUNT ON;

		SELECT MIN(KEZDETE) KEZD
			,MAX(VEGE) VEGE
		FROM (
			SELECT LEFT(CAST(T_CSENGETESIRENDORA_OSSZES.C_KEZDETE AS TIME), 5) KEZDETE
				,LEFT(CAST(T_CSENGETESIRENDORA_OSSZES.C_VEGE AS TIME), 5) VEGE
			FROM T_CSENGETESIRENDORA_OSSZES
			INNER JOIN T_CSENGETESIREND_OSSZES ON T_CSENGETESIRENDORA_OSSZES.C_CSENGETESIRENDID = T_CSENGETESIREND_OSSZES.ID
				AND T_CSENGETESIREND_OSSZES.C_AKTIV = 'T' AND T_CSENGETESIREND_OSSZES.TOROLT ='F'
			WHERE T_CSENGETESIRENDORA_OSSZES.TOROLT = 'F'
        AND T_CSENGETESIRENDORA_OSSZES.C_TANEVID = @pTanevId
        AND T_CSENGETESIRENDORA_OSSZES.C_INTEZMENYID = @pIntezmenyId
			) kezdveg
	END
GO


