﻿DROP PROCEDURE IF EXISTS uspGetDigitalisInformaciokByTanitasiOrak
GO

CREATE PROCEDURE uspGetDigitalisInformaciokByTanitasiOrak
   @pTanevId int
  ,@pTanitasiOraIdsString nvarchar(max)
AS
BEGIN
    SET NOCOUNT ON;
    SELECT
         t.ID AS TanitasiOraId
        ,t.C_DIGESZKOZTIPUSID AS DigitalisEszkozTipusId
        ,t.C_DIGPLATFORMTIPUSID AS DigitalisPlatformTipusId
        ,todte.C_DIGTAMESZKOZTIPUSID AS DigitalisTamogatoEszkozTipusId
    FROM T_TANITASIORA t
    INNER JOIN T_TANITASIORADIGTAMESZKOZ todte ON todte.C_TANITASIORAID = t.ID AND todte.TOROLT = 'F'
    WHERE t.ID IN (SELECT VALUE FROM STRING_SPLIT(@pTanitasiOraIdsString, ','))
        AND t.C_TANEVID = @pTanevId
END
GO

