DROP PROCEDURE IF EXISTS [uspGetDolgozatErtekelesTemak]
GO

CREATE PROCEDURE [uspGetDolgozatErtekelesTemak]
   @pIntezmenyId INT
  ,@pTanevId  INT
  ,@pOsztalyCsoportId INT
  ,@pTantargyId INT
AS BEGIN
  SET NOCOUNT ON;
  SELECT DISTINCT
    te.C_ERTEKELESTEMA ErtekelesTema
  FROM 
    T_TANULOERTEKELES_OSSZES te
  WHERE 
    te.C_ERTEKELESMODID IN (1507, 1508)
    AND te.C_ERTEKELESTEMA IS NOT NULL
    AND te.C_ERTEKELESOSZTALYZATID IS NOT NULL
    AND te.C_TANEVID = @pTanevId
    AND te.C_INTEZMENYID = @pIntezmenyId
    AND (te.C_OSZTALYCSOPORTID = @pOsztalyCsoportId OR @pOsztalyCsoportId IS NULL)
    AND (te.C_TANTARGYID = @pTantargyId OR @pTantargyId IS NULL)
    AND te.C_ISMAGATARTASSZORGALOM = 'F'
    AND te.TOROLT = 'F'
  ORDER BY te.C_ERTEKELESTEMA ASC
END
GO