DROP PROCEDURE IF EXISTS [dbo].[uspGetEgyszerAdhatoErtekelesekTantargyfelosztasModositasAlapjan]
GO

CREATE PROCEDURE [dbo].[uspGetEgyszerAdhatoErtekelesekTantargyfelosztasModositasAlapjan]
   @pTanevId int
  ,@pOldTantargyId int
  ,@pNewTantargyId int
  ,@pOldOsztalyCsoportId int

AS
BEGIN
  SET NOCOUNT ON

  SELECT 
    teRegi.ID as EredetiErtekelesId
  FROM T_TANULOERTEKELES_OSSZES teRegi
    INNER JOIN T_ERTEKELESTIPUS_OSSZES ertip ON ertip.ID = teRegi.C_TIPUSID AND ertip.TOROLT = 'F' AND ertip.C_ALTANEVID = teRegi.C_TANEVID
  WHERE teRegi.C_OSZTALYCSOPORTID = @pOldOsztalyCsoportId
    AND teRegi.C_TANTARGYID =  @pOldTantargyId
    AND teRegi.TOROLT = 'F'
    AND teRegi.C_TANEVID = @pTanevId
    AND ertip.C_ISEGYSZERADHATO = 'T'
    AND EXISTS 
    (
      SELECT 
      1
      FROM T_TANULOERTEKELES_OSSZES
      WHERE TOROLT='F'
        AND C_TANTARGYID = @pNewTantargyId
        AND C_TIPUSID = teRegi.C_TIPUSID
        AND C_TANULOID = teRegi.C_TANULOID
    )

END

GO
