DROP PROCEDURE  IF EXISTS uspGetFoglalhatoTermekElerhetosegeiEugyintezes 
GO

CREATE PROCEDURE uspGetFoglalhatoTermekElerhetosegeiEugyintezes
   @pTeremId INT
AS
BEGIN
  SET NOCOUNT ON;

  SELECT TeremElerhetoseg.ID AS KretaAzonosito
    ,TeremElerhetoseg.C_HETNAPJA AS HetNapja
    ,TeremElerhetoseg.C_KEZDETE AS KezdeteOraPerc
    ,TeremElerhetoseg.C_VEGE AS VegeOraPerc
  FROM T_TEREMELERHETOSEG_OSSZES TeremElerhetoseg
  WHERE C_TEREMID = @pTeremId
    AND TeremElerhetoseg.TOROLT = 'F'
END
GO


