DROP PROCEDURE IF EXISTS uspGetInfoForLoginAlkalmazott
GO
  CREATE PROCEDURE uspGetInfoForLoginAlkalmazott
     @pUserId INT
    ,@pTanevId INT
  AS
  BEGIN
    SET NOCOUNT ON;

    SELECT a.C_DIAKOLIMPIA
      ,m.C_VEZETOIORASZAMOK
      ,m.C_MUNKAKORTIPUSA
      ,a.C_ISSZAKOKTATASERTFELELOS
      ,a.C_ISDUALISKEPZOHELYIOKTATO
    FROM T_ALKALMAZOTT_OSSZES a
    LEFT JOIN T_MUNKAUGYIADATOK_OSSZES m ON m.C_ALKALMAZOTTID = a.ID
      AND m.TOROLT = 'F'
      AND m.C_TANEVID = a.C_ALTANEVID
    WHERE a.ID = @pUserId
      AND a.C_ALTANEVID = @pTanevId
      AND a.TOROLT = 'F'
  END
GO


