﻿DROP PROCEDURE IF EXISTS uspGetMukodesiHelyekForFelhelyValaszto
GO
 
CREATE PROCEDURE uspGetMukodesiHelyekForFelhelyValaszto
   @pTanevId int
  ,@pOktatasiNevelesiFeladatId int
AS
BEGIN
  SET NOCOUNT ON;
   SELECT
     mh.ID as MukodesiHelyID
    ,C_NEV as MukodesiHelyNev
    ,dib.C_NAME as FelhelyName
    ,IIF(fh.C_OKTATASINEVELESIFELADATTIPUS = @pOktatasiNevelesiFeladatId, fh.ID, 0) as FelhelyId
  FROM T_MUKODESIHELY_OSSZES mh
  INNER JOIN T_FELADATELLATASIHELY_OSSZES fh ON mh.ID = fh.C_MUKODESIHELYID AND fh.C_TANEVID = mh.C_TANEVID AND fh.TOROLT = 'F'
  INNER JOIN T_DICTIONARYITEMBASE_OSSZES dib ON dib.ID = fh.C_OKTATASINEVELESIFELADATTIPUS AND dib.C_TANEVID = fh.C_TANEVID AND dib.TOROLT = 'F'
  WHERE mh.TOROLT='F' and mh.C_TANEVID = @pTanevId

END
GO