﻿DROP PROCEDURE  IF EXISTS uspGetOsztalyCsoportAdatok

GO
  CREATE PROCEDURE uspGetOsztalyCsoportAdatok

  AS
  BEGIN
    SET NOCOUNT ON;

  SELECT
     ocs.ID AS OsztalyCsoportId
    ,ocs.C_NEV AS OsztalyCsoportNev
    ,ISNULL(ofo.C_IDPEGYEDIAZONOSITO, csv.C_IDPEGYEDIAZONOSITO) AS OsztalyfonokCsoportvezetoUid
    ,ISNULL(ofo.C_NYOMTATASINEV, csv.C_NYOMTATASINEV) AS OsztalyfonokCsoportvezetoNev
    ,ofoh.C_IDPEGYEDIAZONOSITO AS OsztalyfonokHelyettesUid
    ,ofoh.C_NYOMTATASINEV AS OsztalyfonokHelyettesNev
  FROM T_OSZTALYCSOPORT ocs
    LEFT JOIN T_OSZTALY o ON o.ID = ocs.ID
    LEFT JOIN T_CSOPORT cs ON cs.ID = ocs.ID
    LEFT JOIN T_FELHASZNALO ofo ON ofo.ID = o.C_OSZTALYFONOKID
    LEFT JOIN T_FELHASZNALO ofoh ON ofoh.ID = o.C_OFOHELYETTESID
    LEFT JOIN T_FELHASZNALO csv ON csv.ID = cs.C_CSOPORTVEZETOID

  END
GO