DROP PROCEDURE  IF EXISTS uspGetOsztalyIdByCsoportIdAndDatum 
GO

CREATE PROCEDURE uspGetOsztalyIdByCsoportIdAndDatum
   @pIntezmenyId INT
  ,@pTanevId INT
  ,@pCsoportId INT
  ,@pDatum DATETIME
  ,@pIsFromSzervezet bit = 0
AS
BEGIN
  SET NOCOUNT ON;

  DECLARE @feladatKategoria INT = (
      SELECT C_FELADATKATEGORIAID
      FROM T_OSZTALYCSOPORT_OSSZES
      WHERE ID = @pCsoportId
        AND TOROLT = 'F'
        AND C_INTEZMENYID = @pIntezmenyId
      )

  SELECT ID
    ,C_TANULOID
  FROM fnGetOsztalyCsoportTanuloOsztalyList(@pTanevId, @pCsoportId, @feladatKategoria, @pDatum, @pIsFromSzervezet)
END
GO


