DROP PROCEDURE  IF EXISTS uspGetOsztalyfonokoltOsztalyokEugyintezes 
GO

CREATE PROCEDURE uspGetOsztalyfonokoltOsztalyokEugyintezes 
   @pAlkalmazottId INT
AS
BEGIN
  SET NOCOUNT ON;

  SELECT OsztalyCsoport.ID AS KretaAzonosito
    ,OsztalyCsoport.C_NEV AS Nev
    ,OsztalyCsoport.C_FELADATKATEGORIAID AS OktNevelesiKategoriaKretaAzonosito
  FROM T_OSZTALY_OSSZES Osztaly
  INNER JOIN T_OSZTALYCSOPORT_OSSZES OsztalyCsoport ON Osztaly.ID = OsztalyCsoport.ID
    AND OsztalyCsoport.TOROLT = 'F'
  WHERE (
      Osztaly.C_OSZTALYFONOKID = @pAlkalmazottId
      OR Osztaly.C_OFOHELYETTESID = @pAlkalmazottId
      )
    AND Osztaly.TOROLT = 'F'
END
GO


