DROP PROCEDURE  IF EXISTS uspGetTanuloSorolasData 
GO

CREATE PROCEDURE uspGetTanuloSorolasData
   @pTanuloId INT
  ,@pOsztalyCsoportId INT
AS
BEGIN
  SET NOCOUNT ON;

  SELECT ocs.C_NEV AS OsztalyCsoportNev
    ,tcs.C_BELEPESDATUM AS BesorolasDatum
    ,tcs.C_KILEPESDATUM AS KisorolasDatum
    ,f.C_NYOMTATASINEV AS TanuloNev
  FROM T_TANULOCSOPORT_OSSZES tcs
  JOIN T_FELHASZNALO_OSSZES f ON f.ID = tcs.C_TANULOID
    AND f.TOROLT = 'F'
  JOIN T_OSZTALYCSOPORT_OSSZES ocs ON ocs.ID = tcs.C_OSZTALYCSOPORTID
    AND ocs.TOROLT = 'F'
  WHERE tcs.C_OSZTALYCSOPORTID = @pTanuloId
    AND f.ID = @pOsztalyCsoportId
    AND tcs.TOROLT = 'F'
END
GO


