﻿-- =============================================
-- Description:  <Ellenőrizzuk, hogy az alkalmazott Lázár Ervin Program kezelő-e>
-- =============================================
DROP PROCEDURE IF EXISTS uspIsLEPKezelo
GO

CREATE PROCEDURE uspIsLEPKezelo
   @pAlkalmazottId as int
  ,@pTanevId as int
AS
BEGIN

  SET NOCOUNT ON;

  IF EXISTS(
    SELECT 1
    FROM
      T_ALKALMAZOTT_OSSZES alkalmazott
    WHERE
      alkalmazott.TOROLT = 'F'
    AND alkalmazott.ID = @pAlkalmazottId
        AND alkalmazott.C_ALTANEVID = @pTanevId
    AND alkalmazott.C_LEPKEZELO = 'T'
  )
    SELECT 1
  ELSE
    SELECT 0

END
GO

