DROP PROCEDURE IF EXISTS dbo.uspUpdateOsztalyTanuloiSzakkepzoAdatok
GO

CREATE PROCEDURE dbo.uspUpdateOsztalyTanuloiSzakkepzoAdatok
   @pOsztalyId int
  ,@pJogviszonyTipus int = NULL
  ,@pFelhasznaloId int
AS
BEGIN
  SET NOCOUNT ON;  

  UPDATE T 
    SET C_JOGVISZONYTIPUSID = @pJogviszonyTipus
      ,LASTCHANGED = GETDATE()
      ,MODIFIER = @pFelhasznaloId
  FROM T_TANULOCSOPORT_OSSZES tcs
  INNER JOIN T_TANULO_OSSZES t on tcs.C_TANULOID = t.id
  WHERE tcs.C_OSZTALYCSOPORTID = @pOsztalyId
    AND tcs.TOROLT = 'F'
    AND t.TOROLT = 'F'
    AND tcs.C_BELEPESDATUM < GETDATE() 
    AND tcs.C_KILEPESDATUM IS NULL

  UPDATE tcs
    SET C_JOGVISZONYTIPUSID = @pJogviszonyTipus
      ,LASTCHANGED = GETDATE()
      ,MODIFIER = @pFelhasznaloId
  FROM T_TANULOCSOPORT_OSSZES tcs
  WHERE tcs.C_OSZTALYCSOPORTID = @pOsztalyId
    AND tcs.TOROLT = 'F'
    AND tcs.C_BELEPESDATUM < GETDATE() 
    AND tcs.C_KILEPESDATUM IS NULL

END
GO