DROP PROCEDURE IF EXISTS dbo.uspUpdateTanulokSzakkepzoAdatok
GO

CREATE PROCEDURE dbo.uspUpdateTanulokSzakkepzoAdatok 
   @pTanulokIdString varchar(max)
  ,@pJogviszonyTipus int = NULL
  ,@pFelhasznaloId int
AS
BEGIN
  SET NOCOUNT ON;

  UPDATE T_TANULO_OSSZES
    SET C_JOGVISZONYTIPUSID = @pJogviszonyTipus
      ,LASTCHANGED = GETDATE()
      ,MODIFIER = @pFelhasznaloId
  WHERE ID IN ( SELECT CAST(value as int) FROM string_split(@pTanulokIdString, ',') )
    AND TOROLT = 'F'
END
GO
